# pymatgen.analysis.elasticity.stress module

This module provides the Stress class used to create, manipulate, and calculate relevant properties of the stress tensor.

class Stress(stress_matrix)

  Bases: `pymatgen.core.tensors.SquareTensor`

  This class extends SquareTensor as a representation of the stress

  Create a Stress object. Note that the constructor uses __new__ rather than __init__ according to the standard method of subclassing numpy ndarrays.

  Parameters

    stress_matrix (3x3 array-like) – the 3x3 array-like representing the stress

  property dev_principal_invariants

    returns the principal invariants of the deviatoric stress tensor, which is calculated by finding the coefficients of the characteristic polynomial of the stress tensor minus the identity times the mean stress

  property deviator_stress

    returns the deviatoric component of the stress

  property mean_stress

    returns the mean stress

  piola_kirchoff_1(def_grad)

    calculates the first Piola-Kirchoff stress

    Parameters

      def_grad (3x3 array-like) – deformation gradient tensor

  piola_kirchoff_2(def_grad)

    calculates the second Piola-Kirchoff stress

    Parameters

      def_grad (3x3 array-like) – rate of deformation tensor

  symbol = 's'
  property von_mises

    returns the von mises stress